Bug 42651 - When using the noauto option in /etc/fstab with smbfs - works but with error messages
Summary: When using the noauto option in /etc/fstab with smbfs - works but with error ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 7.1
Hardware: i586
OS: Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-29 02:23 UTC by Andrew Smith
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 02:23:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Smith 2001-05-29 02:23:13 UTC
Description of problem:
I have an /etc/fstab line as follows:

//Computer/Share /Directory smbfs noauto,username=myname 0 0

When I type "mount /Directory" it works but:
Before the password prompt I get the following message:

Unknown parameter encountered: "ssl CA certFile"
Ignoring unknown parameter "ssl CA certFile"

however I guess this is some new option that I need
to read up about.
But after the "Password: " prompt (after I enter my
password) I get the following message on the console:

smbfs: Unrecognized mount option noauto

How reproducible:
Always

Steps to Reproduce:
1. mount /Directory
2. "enter password and press return"


Actual Results:  Unknown parameter encountered: "ssl CA certFile"
Ignoring unknown parameter "ssl CA certFile"
Password: 
smbfs: Unrecognized mount option noauto

Expected Results:  Password: 

Additional info:

I installed the original samba install on 7.1 (full RedHat 7.1 install of 
everything) and got the messages.
I then updated it to "2.0.8-1.7.1" (all 4 packages: samba, samba-client, 
samba-common, samba-swat)
But I still get the messages.

I haven't changed any of the samba configuration
(so it is standard setup)

Comment 1 Trond Eivind Glomsrxd 2001-06-19 21:23:55 UTC
Fixed in samba-2.2.0-2

Comment 2 Volodymyr M. Lisivka 2004-03-17 15:29:33 UTC
samba 3.0.2-7.FC1 - bug with "noauto" still not fixed. :-/


Note You need to log in before you can comment on or make changes to this bug.